I have a drawing with numerous copies of a particular block. I would like to change the Lineweight of the attribute so that it is reduced in all of the blocks in my drawing. How can I do this?
creating a block with attributes. I did manage to get my block set up and inserted in a dwg, but I am unable to change the "value" of any attribute. Unless I click on the "..." button next to the value field.
What I really want to do is on our fire alarm blocks we have 3 different attributes one for the address, the candela and one for misc info. I want to make an attribute that takes the number from the candela (15,30,75or 110) and change a different attribute to a value depending on which candela we use (such as 15=.078, 30=.113, 75=.195 or 110=.259). But I don't want the .078,.113,.195,.259 to print out on paper, I want to export block information excel file so I can add up all values.
I am looking for a lisp that has the same functions as laymrg that will allow the line to keep it's lineweight.
I have several layers in my template file that have lineweights, I want to merge these lines onto one layer but hold the color, linetype, and lineweight of the original layer.
I have multiple floor plans in a drawing one of which I need to explode 3-4 times to change the lineweight to 9mm. I have tried to put something that will repeat explode but I am having problems with plines within the blocks not exploding.
(defun c:tmp (ss) (setq ss (ssget)) (setvar 'qaflags 1) (repeat 3 (vl-cmdf "._explode" ss "")) (setvar 'qaflags 0) (vl-cmdf "chprop" ss "" "lw" "0.09" "") )
select all blocks on certain layers in a drawing, check attribute CIRCUIT in each block if it starts with MS then attribute CONTROL = switched. I hope thats clear enough the way
(defun c:control() (graphscr) (Setq sc (ssget "X" '((0 . "INSERT")
i have tons of column tags but wants to change the distance between column size and the circle and make the font smaller. I can do this individually but can't do one by one..... is there any way i can adjust all by one command or one magic touch?
I am trying to change a text in attribute using vb.net.
I am using the following sub to update my attribute, if I use the message box I get correct information about the block, the attribute.tag I want to change and the text. The changes to my attribute are not saved.
Sub UpdateAttributeValue(ByVal BlockID AsObjectId, ByVal AttributeTag AsString, ByVal TextaStr AsString) Using myTrans AsTransaction = BlockID.Database.TransactionManager.StartTransaction Dim myBRef AsBlockReference = BlockID.GetObject(OpenMode.ForRead)
How to access the BTR, read and write BRef, attDef, AttRef etc. But this has me stumped. There are a few different examples but can’t find anything that works and don't know why.
I have inserted a block in modelspace, I have the BlockRefID and now want to change its attribute values. This finds the attributes tags but doesn’t write the sValue. Why it isn’t writing the value to the block.
Public Sub ChangeAttributeValue(ByVal BlockRefID As ObjectId, ByVal sTagName As String, ByVal sValue As String)
Dim doc As Document = Application.DocumentManager.MdiActiveDocument Dim db As Database = doc.Database Dim tr As Transaction = db.TransactionManager.StartTransaction() Dim br As BlockReference = DirectCast(tr.GetObject(BlockRefID, OpenMode.ForWrite), BlockReference) [code]........
I would like to learn is there any possibility to provide renaming the tag name of a created attribute, if there is a way, it could great to learn it from your side.
I need to change an attribute tag that was (locked) during the making of the title block.
See screen shots.
Autodesk Plant 3D Premium 2012 Autodesk MEP 2012 HP 3.2 Ghz CPU 16 ram 1TB 7200 rpm SATA 3Gb/s hard drive 2GB DDR3 NVIDIA GeForce GT 530 HP 2311x 23" LED Monitor
I have a nested entity block reference. In this entity I have three blocks. if I change any of the block reference attribute definition in the nested block reference then it is changing the original block itself.
Actually I am getting the handle of the selected block reference in the nested Entity. and change the attribute reference later. but it is making change in the block itself and other block reference too.
Here is my
static public void CONTACTS() { Document doc = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument; Editor ed = doc.Editor; string contactName = string.Empty;//to hold contact name, from xdata [code].......
I have a problem: There are a lot blocks in my DWG with 3-5 Attributes. I change the Values of the attributes in the .Text String but they aren't set as default values of the block attribute. Now i want to set the actual value as default / initialize value of the attribute without entering every time in the block editor
with the following code its possible to change the text string. I can set the attribut.textstring as default value?
Public Sub changedefault() Count = ThisDrawing.ActiveLayout.Block.Count For Index = 0 To Count - 1 Blockstring = ThisDrawing.ActiveLayout.Block(Index).ObjectName [code]......
Is there a quick way to change the prompt text in an attribute? The only way I can see to do it now is to explode the block, edit the attribute text and change what I want the prompt to say, then recreate the block, which usually has the side affect of moving my attributes order.
For example:
I have an Instrument device block with 2 attributes, the first being the device tag, and the second being the device number. When I first created the attribute definition for the device tag, I defined it as:
Tag: Device_Tag Prompt: XX Default: XXX
But I now want to change the prompt to be: Prompt: Device ID
LISP file that I can run that will find a Tag within a block and change the Value to whatever I want to change it to? I have a bunch of block in my drawings and I keep the Tags within them very descriptive, and somtimes I keep the Values blank or generic so I can Find a Replace throughout a drawing, but I want to get a LISP that can do this so I can use a script to run it on a bunch of drawings at a time. I don't think I can use the Find command because it will always pop-up the window to enter the text to find and replace.
I am having issues with the Batch File changing a attribute definition. I do not want to go in to the 500 or so dwgs just to change the one attribute definition i can code to replace.
; ATTRIBUTE FIND AND REPLACE -ATTEDIT N N TTLBLK DEPT# * CCCC 4682 Zoom Extents QUIT
The code format works for every one of my att in the title block except the DEPT#. I think it is because it is the only att with the # sign as an end character in the Att definition. I can not change the attribute name bc it is my customers title block. I am working on 2013 LT and would prefer a fix for LT but can get access to mechanical 13.
Is there a way to change the layout tab name to match an attribute in the drawing? For example, I have a block in my title block named REV and an attribute in that black named RevNum, I want my users to be able to edit that block and the layout tab automatically change to match, i.e. if they modify the RevNum attribute to be A i want the layout tab name to change to A. I want this to be transparent to my users normal workflow.
I am using Autocad Electrical and I have an attribute name INST for the installation code in multiple blocks in my drawings. Is there a command out there that can change the font of just that attribute to Arial through out the drawing. I do not want to change any of the other attributes and they all use the same style.
By default a double click on a attribute opens the "enhanced" function. I don't want this, I want the "normal" attribute editor, is there a variable to change ? Or another way ?
The Question: Can Visibility States be changed by an Attribute Value instead of the drop down arrow?
The Situation: I am building an annotative block that the user wants to change appearance (ie different hatches inside a circle) based on an attribute value (1,2 or 3). The attribute is invisible and is one of +/-40 other attributes. I can change the appearance with visibility states and the little pull-down arrow on the block or the properties menu, but the user wants to be able to change it with attribute value. Is this even possible?
I just want to change colors for all objects in current model space. But this command also changes attributes/blocks definitions (I mean, any new block which I insert has the color that I specified previous).
I have a block "MANAGER" with Two Attributes "CETOP" and "CEBOT" I would like a lisp to replace what ever is in those attributes with defined text, for my purposes "Text1" and "Text2". I would like a simple routine that even I can understand so I can apply it to a couple of other lisp projects I have.
I used the BEDIT command (editor) on my block to modify the text size then save the block editor changes. Then use ATTSYNC to perform the changes on all existing blocks references to resize the texts, but after i complete the ATTSYNC command, the text in all the blocks disappear.
I found this routine [URL]...... that changes the width of an attribute in a block. After use it, I need to use the ATTSYNC to update the other instances of the bloc in my project.
How to modify this lisp that I receive a prompt to choose if the width attribute will be change just in the selected block or in all instances of the block? In that way, I would not have to use the ATTSYNC command each time.
I am having trouble with changing the text height of attributes in a block. I know that I can normally use BATTMAN and ATTSYNC to change the text height, but those are not working in my case.
I am using a point parameter and STRETCH action to enable my attributes to be moved, while the main object stays in place. When the attributes are not tied to the point parameter and I use BATTMAN in the block editor, the block will insert with any changes to attribute text height. When they are tied to the parameter and I use BATTMAN in the block editor, the block will insert with the attributes at the text height that they were created at. The only way I can change the text height is to use BATTMAN in model space.
I can work with this, but it would be easier to use BATTMAN in the block editor since my attributes are aligned vertically and changing the text size ruins the spacing between them. It would be much easier to both change the text size and respace in the block editor.
I use civil 2012, and have a drawing with over 400 attribute blocks that are all set to be "green" in the enhanced attribute editor, properties tab. I would like for all of the attributes to be set to "by layer". However, I find that the it only allows me to change one block at a time. As said earllier, I have over 400 blocks.